
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A removable volume manager for Thunar
Summary(de):	Ein Manager für entfernbare Geräte für Thunar
Name:		thunar-volman
Version:	0.8.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	thunar-devel >= 1.1.4
BuildRequires:	xfce4-panel-devel
BuildRequires:	dbus-devel >= 0.34
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	%{_lib}usb1.0-devel
BuildRequires:	libgudev-devel
BuildRequires:	exo-devel >= 0.5.4
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	xfconf-devel
BuildRequires:	%{_lib}notify-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
Requires:	thunar >= 1.1.4
Requires:	dbus >= 0.34
Requires:	hal >= 0.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Thunar Volume Manager is an extension for the Thunar
file manager, which enables automatic management of removable
drives and media. For example, if thunar-volman is installed
and configured properly, and you plug in your digital camera,
it will automatically launch your preferred photo application
and import the new pictures from the camera into your photo collection.

#german
%description -l de
Die Thunar Volume Manager ist eine Erweiterung für den Thunar 
Datei-Manager, der die automatische Verwaltung von Wechsellaufwerke und Medien
hinzufügt. Zum Beispiel, wenn thunar-Volman installiert 
und richtig konfiguriert ist, und Sie stecken Ihre digitale Kamera an,
dann wird automatisch Ihre bevorzugte Foto-Anwendung gestartet
und importiert die neuen Bilder von der Kamera in Ihrere Fotosammlung.

#french
%description -l fr
Le Thunar Volume Manager est une extension pour le Thunar 
Gestionnaire de fichiers, qui permet la gestion automatique des amovibles 
les lecteurs et les médias. Par exemple, si thunar-Volman est installé 
et configuré correctement, et si vous branchez votre appareil photo numérique, 
il va automatiquement lancer votre logiciel de photo préféré 
et importer les nouvelles photos de l'appareil photo dans votre collection de photos.

#spanish
%description -l es
El volumen Thunar Manager es una extensión para el Thunar 
gestor de archivos, que permite la gestión automática de extraíble 
unidades y medios de comunicación. Por ejemplo, si está instalado thunar-Volman 
y configurado correctamente, y que conecte su cámara digital, 
que se iniciará automáticamente la aplicación de foto que prefiere 
e importar las nuevas fotos de la cámara en su colección de fotos.

#polish
%description -l pl
The Thunar Volume Manager is an extension for the Thunar
file manager, which enables automatic management of removable
drives and media. For example, if thunar-volman is installed
and configured properly, and you plug in your digital camera,
it will automatically launch your preferred photo application
and import the new pictures from the camera into your photo collection.

#serbian
%description -l sr
Тхунар Обим Манагер је екстензија за Тхунар 
фајл менаџер, који омогућава аутоматско управљање преносивим 
дискова и медија. На пример, ако је инсталиран тхунар-волман 
и подешени исправно, и ви прикључите на свој дигитални фотоапарат, 
он ће се аутоматски покренути жељену апликацију фотографију 
и увоза нове слике из камере у своју колекцију фотографија.

#dutch
%description -l nl
De Thunar Volume Manager is een extensie voor de Thunar 
file manager, die automatisch beheer van verwijderbare maakt 
drives en media. Bijvoorbeeld, als thunar-Volman is geïnstalleerd 
en geconfigureerd, en u de stekker in uw digitale camera, 
het zal automatisch starten gewenste foto toepassing 
en de invoer van de nieuwe foto's van de camera in uw fotocollectie.

%prep

%setup -q

./autogen.sh --prefix=/usr

%build
%configure2_5x \
	--enable-notifications

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
		--remove-key="Encoding" \
		--remove-category="XFCE" \
		--add-only-show-in="XFCE" \
		--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/thunar-volman-settings.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;


%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS
%{_bindir}/thunar-volman
%{_bindir}/thunar-volman-settings
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/applications/thunar-volman-settings.desktop
%{_datadir}/locale


%changelog
* Fri Dec 15 2017 bb2 <bb2> - 0.8.1-2pclos2017
- rebuild against updates

* Sun Mar 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2015
- 0.8.1

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com>> 0.8.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com>> 0.8.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.8.0-1pclos2012
- 0.8.0
- added/fixed german summary and description
- added remove-category to desktop file install

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.6.0-1pclos2012
- rebuild

* Thu Oct 13 2011 Sproggy <desproggster at gmail.com> 0.6.0-1phinx2011
- Update
